# deployParameter Data Type

This class is used by the deployer to deploy software (swarm,kubernetes,ansible). It is generated by the provisioner to contain VM information.

Namespace
  (Default)
Schema
  ns0.xsd

Properties
name | data type | type | namespace | min/max occurs | description
--- | --- | --- | --- | --- | ---
IP | string | element |  | 0/1 | The public IP of the provisioned VM
role | string | element |  | 0/1 | The role of the provisioned VM
user | string | element |  | 0/1 | The user name of the account created on the provisioned VM

Example

    <d----->
      <IP>52.73.245.157</IP>
      <user>vm_user</user>
      <role>slave</role>
    </d----->